
<!-- begin of generated class -->
<?php
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_daily_thoughts
* GENERATION DATE:  27.12.2016
* CLASS FILE:       D:\wamp\www\Classgenerator/generated_classes/class.tbl_daily_thoughts.php
* FOR MYSQL TABLE:  tbl_daily_thoughts
* FOR MYSQL DB:     poorna_pooja
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_daily_thoughts
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************



var $thought_id;   // (normal Attribute)
var $display_date;   // (normal Attribute)
var $thought_mr;   // (normal Attribute)
var $thought_en;   // (normal Attribute)
var $is_active;   // (normal Attribute)
var $created_date;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

function tbl_daily_thoughts()
{

$this->database = new Database();

}


// **********************
// GETTER METHODS
// **********************


function getthought_id()
{
return $this->thought_id;
}

function getdisplay_date()
{
return $this->display_date;
}

function getthought_mr()
{
return $this->thought_mr;
}

function getthought_en()
{
return $this->thought_en;
}

function getis_active()
{
return $this->is_active;
}

function getcreated_date()
{
return $this->created_date;
}

// **********************
// SETTER METHODS
// **********************


function setthought_id($val)
{
$this->thought_id =  $val;
}

function setdisplay_date($val)
{
$this->display_date =  $val;
}

function setthought_mr($val)
{
$this->thought_mr =  $val;
}

function setthought_en($val)
{
$this->thought_en =  $val;
}

function setis_active($val)
{
$this->is_active =  $val;
}

function setcreated_date($val)
{
$this->created_date =  $val;
}

// **********************
// SELECT METHOD / LOAD
// **********************

function select($id)
{

$sql =  "SELECT * FROM tbl_daily_thoughts WHERE  thought_id=". $id;
$result =  $this->database->query($sql);
$result = $this->database->result;
$row = mysqli_fetch_object($result);


$this->thought_id = $row->thought_id;

$this->display_date = $row->display_date;

$this->thought_mr = $row->thought_mr;

$this->thought_en = $row->thought_en;

$this->is_active = $row->is_active;

$this->created_date = $row->created_date;

}

// **********************
// DELETE
// **********************

function delete($id)
{
$sql = "DELETE FROM tbl_daily_thoughts WHERE  thought_id=". $id;
$result = $this->database->query($sql);

}

// **********************
// INSERT
// **********************

function insert()
{


$sql = "INSERT INTO tbl_daily_thoughts ( display_date,thought_mr,thought_en,is_active,created_date ) VALUES ('$this->display_date','$this->thought_mr','$this->thought_en','$this->is_active','$this->created_date' )";
$result = $this->database->query($sql);
return mysqli_insert_id($this->database->link);

}

// **********************
// UPDATE
// **********************

function update($id)
{



$sql = " UPDATE tbl_daily_thoughts SET  display_date = '$this->display_date',thought_mr = '$this->thought_mr',thought_en = '$this->thought_en',is_active = '$this->is_active',created_date = '$this->created_date' WHERE  thought_id=". $id;

$result = $this->database->query($sql);



}

	// Select All vendor List
	function selectAllThoughts()
	{
		
		try
		{
			$sql =  "SELECT * FROM tbl_daily_thoughts";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  $arr[$count] = new tbl_daily_thoughts();
				  $arr[$count]->setthought_id($row->thought_id);
				  $arr[$count]->setdisplay_date($row->display_date);
				  $arr[$count]->setthought_mr($row->thought_mr);
				  $arr[$count]->setthought_en($row->thought_en );
				  $arr[$count]->setis_active($row->is_active);
				  $arr[$count]->setcreated_date($row->created_date);
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}
     

} // class : end

?>
<!-- end of generated class -->
